# Monitor options

- `monitor_port`

- `monitor_speed`

- `monitor_filters`

- `monitor_rts`

- `monitor_dtr`

- `monitor_flags`

Custom options for platformio device monitor command.

## `monitor_port`

Type: `String` | Multiple: `No`

Port, a number or a device name, or valid URL Handlers. See `platformio device monitor --port`. To print all available serial ports please use platformio device list command.

Please note that you can use Unix shell-style wildcards:

Pattern | Meaning
--- | ---
`*` | matches everything
`?` | matches any single character
`[seq]` | matches any character in seq
`[!seq]` | matches any character not in seq

Example:

    [env:custom_monitor_port]
    ...
    ; Unix
    monitor_port = /dev/ttyUSB1

    ; Windows, COM1 or COM3
    monitor_port = COM[13]

    ; Socket
    monitor_port = socket://localhost:4444

## `monitor_speed`

Type: `Integer` | Multiple: `No` | Default: `9600`

A monitor speed (baud rate). See `platformio device monitor --baud`.

Example:

    [env:custom_monitor_speedrate]
    ...
    monitor_speed = 115200

## `monitor_filters`

New in version 4.3.

Type: `String` | Multiple: `Yes`

Apply filters and text transformation for device output. See available filters at Filters.

Example:

    [env:log_output_to_file_with_timestamp]
    ...
    platform = ...
    monitor_filters = log2file, time, default

## `monitor_rts`

Type: `Integer (0 or 1)` | Multiple: `No`

A monitor initial `RTS` line state. See `platformio device monitor --rts`.

## `monitor_dtr`

Type: `Integer (0 or 1)` | Multiple: `No`

A monitor initial `DTR` line state. See `platformio device monitor --dtr`.

## `monitor_flags`

New in version 4.0.

Type: `String` | Multiple: `Yes`

Pass extra flags and options to platformio device monitor command. Please note that each flag, option or its value should be passed in a new line. See example below.

Available flags and options are the same which are documented for platformio device monitor command.

Example:

    [env:extra_monitor_flags]
    platform = ...
    board = ...
    monitor_flags=
        --parity
        N
        --encoding
        hexlify